SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Node Struct Reference

`#include <slikenet/DS_Hash.h>`

## Public Member Functions

| Node (key_type strIn, const data_type &_data)

## Public Attributes

key_type | string
data_type | data
Node * | next

## Detailed Description

### template<class key_type, class data_type, unsigned int HASH_SIZE, unsigned long(*)(const key_type &) hashFunction>
struct DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Node

Definition at line 68 of file DS_Hash.h.

## Constructor & Destructor Documentation

template<class key_type, class data_type, unsigned int HASH_SIZE, unsigned long(*)(const key_type &) hashFunction>

DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Node::Node | ( | key_type | strIn,
|  | const data_type & | _data
| ) |  |

inline

Definition at line 70 of file DS_Hash.h.

## Member Data Documentation

template<class key_type, class data_type, unsigned int HASH_SIZE, unsigned long(*)(const key_type &) hashFunction>

data_type DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Node::data

Definition at line 72 of file DS_Hash.h.

Referenced by DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::GetAsList(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::ItemAtIndex(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Peek(), and DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Pop().

template<class key_type, class data_type, unsigned int HASH_SIZE, unsigned long(*)(const key_type &) hashFunction>

Node* DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Node::next

Definition at line 74 of file DS_Hash.h.

Referenced by DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::ClearIndex(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::GetAsList(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::ItemAtIndex(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::KeyAtIndex(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Pop(), DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Push(), and DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::RemoveAtIndex().

template<class key_type, class data_type, unsigned int HASH_SIZE, unsigned long(*)(const key_type &) hashFunction>

key_type DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::Node::string

Definition at line 71 of file DS_Hash.h.

Referenced by DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::GetAsList(), and DataStructures::Hash< key_type, data_type, HASH_SIZE, hashFunction >::KeyAtIndex().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/DS_Hash.h